directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pierre-Arnaud Marcelot>
Subject Re: [BUG] vendorversion attribute reads 2.0.0-M3, should be 2.0.0-M5
Date Thu, 23 Feb 2012 12:57:23 GMT
Hi Javier,

Thanks for reporting this.

Actually, what I've just noticed is that ApacheDS 2.0.0-M5 does not report its version correctly
in the Root DSE.
The version is reported as "${pom.version}".
This is a bug due to a wrong configuration in Maven which does not filter resources files
correctly (and replace "${pom.version}" by the version itself).
I created a JIRA for it [1] and fixed it for the next version.

Also, I noticed Studio 2.0 M2 didn't ship with the latest version but with 2.0.0-M3.
In the next version, we'll make sure to bundle the most recent one.


[1] -

On 23 févr. 2012, at 13:28, Javier Estrada wrote:

> There is a bug on ApacheDS Milestone 5 in the vendorversion attribute of
> an instance server.  Although it should be harmless, for those keeping
> track of the version this may pose a problem.
> Regards,
> --Javier

View raw message